Javac12 (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.compilers, class: Javac12

Package org.apache.tools.ant.taskdefs.compilers

# Class Javac12

java.lang.Object
org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
org.apache.tools.ant.taskdefs.compilers.Javac12

All Implemented Interfaces:
  `CompilerAdapter`, `CompilerAdapterExtension`

@Deprecated public class Javac12 extends DefaultCompilerAdapter
Deprecated.
Use `Javac13` instead.
The implementation of the javac compiler for JDK 1.2 This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `CLASSIC_COMPILER_CLASSNAME`
  Deprecated.

  ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Javac12()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `execute()`
  Deprecated.
  Run the compilation.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava1_1Plus, assumeJava1_2Plus, assumeJava1_3Plus, assumeJava1_4Plus, assumeJava1_5Plus, assumeJava1_6Plus, assumeJava1_7Plus, assumeJava1_8Plus, assumeJava10Plus, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLASSIC_COMPILER_CLASSNAME

    protected static final String CLASSIC_COMPILER_CLASSNAME
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Javac12

    public Javac12()
    Deprecated.

- ## Method Details

  - ### execute

    public boolean execute() throws BuildException
    Deprecated.
    Run the compilation.
    Returns:
      true if the compiler ran with a zero exit result (ok)
    Throws:
      `BuildException` - if the compilation has problems.